Main Page Class Hierarchy Compound List File List Compound Members File Members

# Anode Class Reference

`#include <node.h>`

Inheritance diagram for Anode::

List of all members.

## Public Types
enum | { stateTOP = (1<<00), stateENABLE = (1<<01), stateCOLAPSED = (1<<02), stateLAST = (1<<03) }
## Public Methods
virtual ACI * | getCI ()
ADLL | Anode (char *name=NULL, Anode *father=NULL)
virtual ADLL | ~Anode ()
virtual bool | notify (Anode *o, int event, dword p=0)
ADLL void | asyncNotify (Anode *o, int event, dword p=0)
ADLL bool | is (char *name)
ADLL bool | isCI (ACI *CI)
ADLL bool | isGUID (qword guid)
ADLL int | count ()
virtual ADLL void | add (Anode *o)
virtual ADLL void | del (Anode *o)
## Public Attributes
char * | name
Anode * | father
Anode * | next
Anode * | prev
Anode * | fchild
Anode * | lchild
dword | state
## Static Public Attributes
ADLL ACI | CI

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  stateTOP |
  stateENABLE |
  stateCOLAPSED |
  stateLAST |

## Constructor & Destructor Documentation

ADLL Anode::Anode | ( | char * | name = NULL,
|  | Anode * | father = NULL
| ) |

virtual ADLL Anode::~Anode | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual ADLL void Anode::add | ( | Anode * | o | ) | `[virtual]`

ADLL void Anode::asyncNotify | ( | Anode * | o,
|  | int | event,
|  | dword | p = 0
| ) |

ADLL int Anode::count | ( |  | ) |

virtual ADLL void Anode::del | ( | Anode * | o | ) | `[virtual]`

| Reimplemented in Awindow.

virtual ACI* Anode::getCI | ( |  | ) | `[inline, virtual]`

| Reimplemented in Abitmap, Afile, Aflash, Alayer, Amovie, Aobject, Aresource, and Awindow.

ADLL bool Anode::is | ( | char * | name | ) |

ADLL bool Anode::isCI | ( | ACI * | CI | ) |

ADLL bool Anode::isGUID | ( | qword | guid | ) |

__inline bool Anode::notify | ( | Anode * | o,
|  | int | event,
|  | dword | p = 0
| ) | `[virtual]`

| Reimplemented in Awindow, Acontrol, Amapping, ActrlButton, AeffectFront, AeffectBack, Apaddle, Apattern, Aselcolor, Aslider, Atable, AtableFront, and AtableBack.

## Member Data Documentation

ADLL ACI Anode::CI`[static]`

| Reimplemented in Abitmap, Afile, Aflash, Alayer, Amovie, Aobject, Aresource, and Awindow.

Anode* Anode::father

Anode* Anode::fchild

Anode* Anode::lchild

char* Anode::name

Anode* Anode::next

Anode* Anode::prev

dword Anode::state

| Reimplemented in Abitmap.

The documentation for this class was generated from the following file:

- node.h